%bcond_without check

%global goipath         github.com/smartystreets/go-aws-auth
Version:                1.0.0
%global tag             1.0.0

%gometa

%global godevelheader %{expand:
}

%global common_description %{expand:
Go-AWS-Auth is a comprehensive, lightweight library for signing requests to
Amazon Web Services.

It's easy to use: simply build your HTTP request and call awsauth.Sign(req)}

%global golicenses      LICENSE.md
%global godocs          CONTRIBUTING.md README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Signs requests to Amazon Web Services

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

%if %{with check}
BuildRequires:  golang(github.com/smartystreets/assertions)
BuildRequires:  golang(github.com/smartystreets/assertions/should)
BuildRequires:  golang(github.com/smartystreets/gunit)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Aug 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
